plugins {
    id 'com.android.application'
}

android {
    compileSdk 31

    defaultConfig {
        applicationId "com.pxkj.jwzs"
        minSdk 21
        targetSdk 27
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'

            manifestPlaceholders = [
                    APPID  : "320924230000-2-1-32092423SJNB12202505211658160001",
//                    APPID  : "320500220500-2-1-32050022SJ97122021091XXXXXXXXXX",
                    REGIONALISMCODE : "\\0320924230000",
//                    REGIONALISMCODE : "\\03205002xxxxxx",
                    NETWORKAREACODE  : "\\02",
            ]
        }

        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'

            manifestPlaceholders = [
                    APPID  : "320924230000-2-1-32092423SJNB12202505211658160001",
                    REGIONALISMCODE : "\\0320924230000",
                    NETWORKAREACODE  : "\\02",
            ]
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
    namespace 'com.pxkj.jwzs'
}

dependencies {
    implementation fileTree(dir: "libs", include: [".jar", ".aar"])
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.3.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation files('libs\\acrabsoft-sjt-sdk-20211216.aar')
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
}